-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local firmware = require 'interface.mdb.firmware_multihost'

local firmware_multihost_collection = {}
local firmwares = {}

function firmware_multihost_collection.get_firmware(system_id, bus, db)
    if not firmwares[system_id] then
        firmwares[system_id] = firmware.new(bus, db, system_id)
    end

    return firmwares[system_id]
end

return firmware_multihost_collection
